com.taosdata.jdbc.common

## Class Endpoint

- java.lang.Object
- - com.taosdata.jdbc.common.Endpoint

    public class Endpoint
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Endpoint(String host, int port, boolean isIpv6)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getHost()`
`int` `getPort()`
`boolean` `isIpv6()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Endpoint

    public Endpoint(String host,
                    int port,
                    boolean isIpv6)

### Method Detail

#### getHost

    public String getHost()

#### getPort

    public int getPort()

#### isIpv6

    public boolean isIpv6()